# Samba config file created using SSCC ver. 1.0.1
# from ECS_USER@MAINMACHINE
# Date: 25 Jun 2011 11:36:20
[global]
	workgroup = IBMPEERS
	server string = %h Samba Server for eCS (OS/2)
	security = DOMAIN
	null passwords = Yes
	passdb backend = tdbsam
	guest account = guest
	username map = C:\MPTN\ETC\samba\private\smbusermap
	lanman auth = Yes
	log level = 2
	log file = C:\MPTN\ETC\samba\log\log.smbd.%U.%M
	time server = Yes
	load printers = No
	printcap name = C:\etc\printcap
	enumports command = C:\PROGRAMS\samba\enumports.cmd
	add user script = C:\PROGRAMS\samba\usermod.cmd -a "%u"
	rename user script = C:\PROGRAMS\samba\usermod.cmd -r "%uold" "%unew"
	delete user script = C:\PROGRAMS\samba\usermod.cmd -x "%u"
	add group script = C:\PROGRAMS\samba\groupmod.cmd -a "%g"
	delete group script = C:\PROGRAMS\samba\groupmod.cmd -x "%g"
	add user to group script = C:\PROGRAMS\samba\groupmod.cmd -j "%g" "%u"
	delete user from group script = C:\PROGRAMS\samba\groupmod.cmd -l "%g" "%u"
	set primary group script = C:\PROGRAMS\samba\usermod.cmd -p "%u" "%g"
	add machine script = C:\PROGRAMS\samba\usermod.cmd -a "%u"
	logon script = %U.cmd
	logon path = \\%L\Profiles\%U
	logon drive = z:
	logon home = \\%L\Profiles\%U
	domain logons = Yes
	os level = 65
	lm announce = Yes
	preferred master = Yes
	domain master = Yes
	wins support = Yes
	add share command = C:\PROGRAMS\samba\addshare.cmd
	change share command = C:\PROGRAMS\samba\changeshare.cmd
	delete share command = C:\PROGRAMS\samba\delshare.cmd
	lock directory = C:\MPTN\ETC\samba\lock
	comment = Samba Server for eCS (OS/2)
	ea support = Yes
	store dos attributes = Yes

[NETLOGON]
	comment = Netlogon service
	path = C:/PROGRAMS/samba/netlogon
	share modes = No

[profiles]
	comment = profiles
	path = C:/PROGRAMS/samba/profiles
	read only = No
	create mask = 0777
	directory mask = 0777
	profile acls = Yes

[HOMES]
	comment = Home directory
	path = C:/HOME/%u
	read only = No

[C]
	comment = Drive C: (JFS)
	path = C:/
	read only = No
	hide files = /*. SF/root/
	browseable = No

[D]
	comment = Drive D: (JFS)
	path = D:/
	read only = No
	guest ok = Yes
	hide files = /*. SF/root/

[S]
	comment = Drive S: (CDFS)
	path = S:/
	hide files = /*. SF/root/
	browseable = No

[T]
	comment = Drive T: (CDFS)
	path = T:/
	hide files = /*. SF/root/
	browseable = No
